[arch-commits] CVS update of core/support/gpm (PKGBUILD gpm-1.20.1-nodebug.patch)

Eric Belanger eric at archlinux.org
Sat Nov 10 03:12:35 UTC 2007


    Date: Friday, November 9, 2007 @ 22:12:35
  Author: eric
    Path: /home/cvs-core/core/support/gpm

   Added: gpm-1.20.1-nodebug.patch (1.1)
Modified: PKGBUILD (1.13 -> 1.14)

added fix and patch for FS#8405


--------------------------+
 PKGBUILD                 |   11 ++++++--
 gpm-1.20.1-nodebug.patch |   56 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+), 3 deletions(-)


Index: core/support/gpm/PKGBUILD
diff -u core/support/gpm/PKGBUILD:1.13 core/support/gpm/PKGBUILD:1.14
--- core/support/gpm/PKGBUILD:1.13	Thu Nov  8 22:44:56 2007
+++ core/support/gpm/PKGBUILD	Fri Nov  9 22:12:35 2007
@@ -1,4 +1,4 @@
-# $Id: PKGBUILD,v 1.13 2007/11/09 03:44:56 eric Exp $
+# $Id: PKGBUILD,v 1.14 2007/11/10 03:12:35 eric Exp $
 # Maintainer: Eric Belanger <eric at archlinux.org>
 # Committer: Judd Vinet <jvinet at zeroflux.org>
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
@@ -14,14 +14,17 @@
 backup=(etc/conf.d/gpm)
 options=('!makeflags')
 source=(http://unix.schottelius.org/gpm/archives/$pkgname-$pkgver.tar.bz2 \
-        gpm.patch gpm-quietdeath.patch gpm-openmax.patch gpm gpm.conf.d)
+        gpm.patch gpm-quietdeath.patch gpm-openmax.patch \
+        gpm-1.20.1-nodebug.patch  gpm gpm.conf.d)
 md5sums=('2c63e827d755527950d9d13fe3d87692' 'ffcb5ead568a7ce39602e2d39555b251'\
          '583fa2cf2a9db7ca458b23c1d095f667' '6b7be08b0f4e62f1871fa5b3aec25dbd'\
-         'c4d42a4725503a5524cae060a959a3d3' '5f109341a7d1bb18c59d7c3a395d848a')
+         '285019976ad18695a2d47bcce23cb18c' 'c4d42a4725503a5524cae060a959a3d3'\
+         '5f109341a7d1bb18c59d7c3a395d848a')
 sha1sums=('c48d937e62abb438c2f6439b34ef3332c89af8d1'
           '16541df8144073b4e79664fd0070ec7233547e72'
           '411f06da13e881dd07d6ea8765decc0eb7acc195'
           '2d47d63b285153bfaa016aa20c342519a4bdb5a1'
+          '1491349903987f6b2c4ca0a61dbeeb6ce6335e44'
           'c13ad1422d24af320e2abb9786c7eacef39b293c'
           '3bcb67027f0ad7dc393388fb02c261126671f9f5')
 
@@ -30,9 +33,11 @@
   patch -Np1 -i ../gpm-quietdeath.patch || return 1
   patch -Np1 -i ../gpm.patch || return 1
   patch -Np1 -i ../gpm-openmax.patch || return 1
+  patch -Np1 -i ../gpm-1.20.1-nodebug.patch || return 1
   ./configure --prefix=/usr --sysconfdir=/etc
   make LIBS=-lm || return 1
   make prefix=$startdir/pkg/usr install
   install -D -m755 ../gpm $startdir/pkg/etc/rc.d/gpm
   install -D -m644 ../gpm.conf.d $startdir/pkg/etc/conf.d/gpm
+  chmod 755 $startdir/pkg/usr/lib/libgpm.so.*
 }
Index: core/support/gpm/gpm-1.20.1-nodebug.patch
diff -u /dev/null core/support/gpm/gpm-1.20.1-nodebug.patch:1.1
--- /dev/null	Fri Nov  9 22:12:35 2007
+++ core/support/gpm/gpm-1.20.1-nodebug.patch	Fri Nov  9 22:12:35 2007
@@ -0,0 +1,56 @@
+--- gpm-1.20.1/src/report.c.nodebug	2002-12-24 17:57:16.000000000 -0500
++++ gpm-1.20.1/src/report.c	2003-07-02 15:07:19.000000000 -0400
+@@ -126,6 +126,7 @@
+       /******************** RUNNING *****************/
+       case GPM_RUN_DAEMON:
+          switch(stat) {
++#if 0
+             case GPM_STAT_INFO:
+ #ifdef HAVE_VSYSLOG
+                syslog(LOG_INFO | LOG_USER, GPM_STRING_INFO);
+@@ -165,6 +166,7 @@
+                   fclose(console);
+                }
+                break;
++#endif
+ 
+             case GPM_STAT_OOPS:
+ #ifdef HAVE_VSYSLOG
+@@ -183,6 +185,7 @@
+       /******************** DEBUGGING and CLIENT *****************/
+       case GPM_RUN_DEBUG:
+          switch(stat) {
++#if 0
+             case GPM_STAT_INFO:
+                console = stdout;
+                fprintf(console,GPM_STRING_INFO); break;
+@@ -195,13 +198,15 @@
+             case GPM_STAT_DEBUG:
+                console = stderr;
+                fprintf(console,GPM_STRING_DEBUG); break;
++#endif
+             case GPM_STAT_OOPS:
+                console = stderr;
+                fprintf(console,GPM_STRING_OOPS); break;
++               vfprintf(console,text,ap);
++               fprintf(console,"\n");
++               break;
+          }
+ 
+-         vfprintf(console,text,ap);
+-         fprintf(console,"\n");
+          
+          if(stat == GPM_STAT_OOPS) exit(1);
+ 
+--- gpm-1.20.1/src/lib/liblow.c.orig	2003-07-02 15:24:40.000000000 -0400
++++ gpm-1.20.1/src/lib/liblow.c	2003-07-02 15:24:44.000000000 -0400
+@@ -201,7 +201,9 @@
+ 
+    option.consolename = NULL;
+ 
++#if 0   
+    gpm_report(GPM_PR_DEBUG,"VC: %d",flag);
++#endif
+ 
+    /*....................................... First of all, check xterm */
+ 




More information about the arch-commits mailing list